%define version    1.0
%define release    20150707
%define rhel_version 7

# The behaviour of the rpm-build package for python files varies between
# releases.  Sometime in the FC4 timeframe it gained a file
# /usr/lib/rpm/brp-python-bytecompile which generates pyo and pyc files for py
# files, in a phase after the install.
# This macro is needed to turn this off, for building on FC4/RHEL5 and later:
%define byte_compiled_python 0

# define python macros for RHEL6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           redhat-certification
Summary:        Red Hat Certification
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPL
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Obsoletes: rhcert-client, ccp-client
Requires: httpd
Requires: dbus-python
Requires: mod_wsgi
Requires: python-lxml
# for container certifications
Requires: m2crypto, python-magic
# for client listener: ps
Requires: procps
BuildRequires: python2-devel
%if 0%{?rhel} && 0%{?rhel} > 6
Requires(post): systemd
Requires(post): firewalld
%endif

%description
Red Hat Certification runs certification tests for Red Hat products

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version}

%install
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post
chcon -R system_u:object_r:httpd_sys_content_t:s0 /var/www/rhcert
chcon -R system_u:object_r:httpd_sys_rw_content_t:s0 /var/www/rhcert/store
chcon -R system_u:object_r:httpd_sys_script_exec_t:s0 /var/www/rhcert/wsgi
setsebool -P httpd_can_network_connect 1

%files
%defattr(-,root,root)
/usr/bin/rhcert-backend
%{?python2_sitelib}/rhcert/*.py*
%{?python2_sitelib}/rhcert/listener
%{?python2_sitelib}/rhcert/client
%{?python2_sitelib}/rhcert/suites/__init__.py*
%{?python2_sitelib}/rhcert/info/*.xml

# set to user apache for server/cgi serving
%attr(-, apache, apache) /var/www/rhcert
/etc/httpd/conf.d/rhcert.conf
/etc/httpd/conf.d/rhcert.pem
/etc/init.d/rhcert-backend
/etc/rhcert-default.xml

%changelog
* Tue Jul 07 2015 Ben Rose <brose@redhat.com>
- BZ1240674 - temporarily update urls in default xml

* Wed Jun 24 2015 Greg Nichols <gnichols@redhat.com>
- 1235365 - rhcert error on results submission: can not submit results ()""
- 1230871 - FEAT: rhcert shipped as a container

* Tue Jun 23 2015 Greg Nichols <gnichols@redhat.com>
- 1235001 - traceback on adding cert if CWE returns no vendor, make, product response

* Mon Jun 22 2015 Greg Nichols <gnichols@redhat.com>
- 1233977 - /etc/rhcert-default.xml has wrong python version on RHEL6

* Mon Jun 22 2015 Praveen Kumar <prkumar@redhat.com>
- Add Entrypoint with default CMD - Add maintainer details - Reduce extra layer

* Fri Jun 19 2015 Greg Nichols <gnichols@redhat.com>
- 1232852 - FEAT: rhcert-backend server start|stop commands should work without systemd

* Thu Jun 18 2015 Greg Nichols <gnichols@redhat.com>
- 1232934 - add RHELSA to redhat-certification hardware certification options

* Wed Jun 17 2015 Greg Nichols <gnichols@redhat.com>
- fix respin calculation
- fix respin calculation
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container

* Wed Jun 17 2015 Ben Rose <brose@redhat.com>
- BZ1232721 - fix bug in return statement within Environment.showChangesFromDefault

* Tue Jun 16 2015 Greg Nichols <gnichols@redhat.com>
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container

* Fri Jun 12 2015 Greg Nichols <gnichols@redhat.com>
- 1231336 - rhcert configuration (/etc/rhcert.xml) should be installed via package with defaults

* Thu Jun 11 2015 Greg Nichols <gnichols@redhat.com>
- 1228790 - rhcert should use provides when installing test-required packages
- 1230698 - redhat-certification has difficulties with networks without DNS support
- 1230698 - redhat-certification has difficulties with networks without DNS support
- 1230698 - redhat-certification has difficulties with networks without DNS support

* Thu Jun 11 2015 Praveen Kumar <prkumar@redhat.com>
- Pep8 fixes and quiet/debug mode with boolean options

* Wed May 27 2015 Greg Nichols <gnichols@redhat.com>
- 1225533 - KeyError python traceback un-set command option via Web UI

* Tue May 26 2015 Greg Nichols <gnichols@redhat.com>
- 1221633 - Key Error while adding a system in the certification tool

* Wed May 20 2015 Greg Nichols <gnichols@redhat.com>
- 1223514 - Links to interative prompts on Configuration and Certification pages are invalid
- 1217211 - demo test text file upload gives padding error
- 1179200 - Initialization of download from attachments hyperlink takes too much time to start.

* Tue May 19 2015 Greg Nichols <gnichols@redhat.com>
- 1216150 - test server forgotten after planning in network tests

* Mon May 18 2015 Greg Nichols <gnichols@redhat.com>
- 1208330 - The debug checkbox has no effect on the test run
- 1208330 - The debug checkbox has no effect on the test run

* Thu May 14 2015 Greg Nichols <gnichols@redhat.com>
- 1179358 - Test suite log message are not shown in web UI

* Tue May 12 2015 Greg Nichols <gnichols@redhat.com>
- 1212964 - editText doesnt work for LargeText in CLI

* Fri May 08 2015 Greg Nichols <gnichols@redhat.com>
- 1212966 - No persistent logs available for rhcert-backend daemon and listener

* Fri May 08 2015 Praveen Kumar <prkumar@redhat.com>
- Filter auto merge message to master

* Thu May 07 2015 Greg Nichols <gnichols@redhat.com>
- 1204952 - redhat-certification confused by RHELSA uname output
- 1201491 - KeyError when creating new hardware certification test - RHELSA
- 1214072 - use only SMBIOS Type 1 to query system manufacturer, make, and model

* Tue May 05 2015 Greg Nichols <gnichols@redhat.com>
- 1218622 - rhcert-backend submit does not prompt for certification type

* Mon May 04 2015 Greg Nichols <gnichols@redhat.com>
- 1215726 - traceback on rhcert-backend submit command

* Thu Apr 30 2015 Greg Nichols <gnichols@redhat.com>
- 1216963 - python-lxml not present as dependency for redhat-certification package

* Thu Apr 30 2015 Praveen Kumar <prkumar@redhat.com>
- Filter gerrit merge commits to get in changelog

* Mon Apr 20 2015 Greg Nichols <gnichols@redhat.com>
-  1213391 - display of attachments are not sorted properly by test name and run

* Fri Apr 17 2015 Greg Nichols <gnichols@redhat.com>
- 1212928 - Create New Results File error for host identified by IP address

* Fri Apr 17 2015 Shreyank Gupta <sgupta@redhat.com>
- Trello#7E480dVc: Support 6.x minor versions for cloud

* Wed Apr 15 2015 Greg Nichols <gnichols@redhat.com>
- 1212171 - Web Server can't manage clients without DNS support
- 1211343 - aarch64: python traceback on rhcert server after registering a system

* Fri Apr 10 2015 Greg Nichols <gnichols@redhat.com>
- 1210160 - FEAT: rhcert-backend command to extract test run attachments

* Thu Apr 09 2015 Praveen Kumar <prkumar@redhat.com>
- Add functionality to extract latest commit message to add in changelog

* Thu Apr 09 2015 Greg Nichols <gnichols@redhat.com>
- 1208881 - traceback on ImportError if test suite files deleted
- changelog correction

* Tue Apr 07 2015 Greg Nichols <gnichols@redhat.com>
- 1209438 - Error page appears for empty certification results when beginning testing

* Fri Apr 03 2015 Greg Nichols <gnichols@redhat.com>
- 1206619 - SUT can not be registered from the web UI if the server does not have a hostname

* Thu Apr 02 2015 Greg Nichols <gnichols@redhat.com>
- 1206619 - SUT can not be registered from the web UI if the server does not have a hostname

* Tue Mar 31 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1206619 - SUT can not be registered from the web UI if the server does not have a hostname

* Tue Mar 31 2015 Shreyank Gupta <sgupta@redhat.com>
- Trello#SohS9ihO: Add unicode support for logging.

* Wed Mar 25 2015 Greg Nichols <gnichols@redhat.com>
- 1205644 - RHEL6 cloud certification traceback on saving results file after openscap test:

* Wed Mar 25 2015 Shreyank Gupta <sgupta@redhat.com>
- Workaround for python 2.6 issue5762

* Tue Mar 24 2015 Greg Nichols <gnichols@redhat.com>
- 1205358 - Can't add hwcert/storage test to a plan manually due to python error
- 1205357 - need to enable cloud certifications

* Mon Mar 23 2015 Greg Nichols <gnichols@redhat.com>
- 1179290 - Not able to delete created certification

* Fri Mar 20 2015 Greg Nichols <gnichols@redhat.com>
- 1203244 - Test Scheduling does not always observe test priority

* Thu Mar 19 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- changelog
- 1201865 - FEAT: muti-select for web UI

* Wed Mar 18 2015 Greg Nichols <gnichols@redhat.com>
- 1203244 - Test Scheduling does not always observe test priority

* Mon Mar 16 2015 Greg Nichols <gnichols@redhat.com>
- 1201865 - FEAT: muti-select for web UI

* Thu Mar 12 2015 Ben Rose <brose@redhat.com>
- update changelog
- BZ1198764 - fix uname parsing for ARM RHEL

* Tue Mar 10 2015 Greg Nichols <gnichols@redhat.com>
- 1200386 - system registration message on server UI shows debug output

* Mon Mar 09 2015 Greg Nichols <gnichols@redhat.com>
- 1199650 - rhcert command should be removed.
- changelog
- 1199650 - rhcert command should be removed.
- 1199650 - rhcert command should be removed.
- 1199650 - Running rhcert with no parameters should display help message and exit

* Wed Mar 04 2015 Greg Nichols <gnichols@redhat.com>
- 1198751 - Server over-specifies redirects to http://<server hostname>
- 1198751 - Server over-specifies redirects to http://<server hostname>

* Tue Mar 03 2015 Greg Nichols <gnichols@redhat.com>
- 1198324 - Spelling error in OpenStack button on main web page
- 1198324 - Spelling error in OpenStack button on main web page
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements

* Fri Feb 27 2015 Greg Nichols <gnichols@redhat.com>
- 1197215 - command-line container submission does not submit encrypted file

* Thu Feb 26 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1196828 - redhat-backend server start-up - spurious output
- 1196817 - The save command should save results directly to the local server

* Wed Feb 25 2015 Greg Nichols <gnichols@redhat.com>
- 1196370 - Interactive UI uses whole-page refresh polling for status

* Tue Feb 24 2015 Greg Nichols <gnichols@redhat.com>
- 1195744 - fv_network test fails http transfer test - can not find IP address seen by server
- 1195734 - fv_network test fails http transfer test - can not find IP address seen by server\n\nChange message for backwards compatability with hwcert-client 1.6.5.2 in fv_network

* Mon Feb 23 2015 Greg Nichols <gnichols@redhat.com>
- 1195291 - Build Errors: No images in image directory
- 1195311 - hardware and container certifications should be enabled

* Sat Feb 21 2015 Ben Rose <brose@redhat.com>
- [trello-aGu1SHpZ] - add support for ael7<alpha> kernel version product

* Fri Feb 20 2015 Greg Nichols <gnichols@redhat.com>
- public key update for container
- 1194782 - Interactive UI looses track of host during reboot for the kdump test

* Thu Feb 19 2015 Greg Nichols <gnichols@redhat.com>
- 1194021 - client daemon trackback on start after clean
- merge
- 1194313 - openstack bugzilla default URL should point to production, not stage

* Wed Feb 18 2015 Ben Rose <brose@redhat.com>
- updated changelog
- [trello-ul6LAdIN] - update regex and update parsing code a bit

* Wed Feb 18 2015 Greg Nichols <gnichols@redhat.com>
- update public key for container encryption

* Tue Feb 17 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1193647 - rhcert does not save updated results if incomplete tests are finished after reboot.
- 1193589 - Selection of device-specific tests doesn't work

* Mon Feb 16 2015 Greg Nichols <gnichols@redhat.com>
- 1193086 - fv_network test can not save test files during http transfer test
- remove add certifications button

* Sun Feb 15 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1192598 - rhcert needs to provide interfaces for network testing of hosts running hwcert-client 1.6.5.2

* Fri Feb 13 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1192542 - Failed fv tests reported as passing
- changelog
- 1192492 - Traceback on container image submisstion

* Wed Feb 11 2015 Greg Nichols <gnichols@redhat.com>
- fix traceback on adding a cert
- package install public key
- fix traceback on end of interactive test
- package install public key

* Tue Feb 10 2015 Greg Nichols <gnichols@redhat.com>
- obselete ccp-client
- changelog
- 1179283 - Unable to delete hosts in rhcert UI
- 1179283 - Unable to delete hosts in rhcert UI
- remove scratch certifications for container

* Wed Feb 04 2015 Greg Nichols <gnichols@redhat.com>
- fix rhcert-backend save container
- changelog
- fix rhcert-backend command line for saving and/or submitting container files

* Tue Feb 03 2015 Greg Nichols <gnichols@redhat.com>
- add bugzilla URL to config display
- fix comment
- add python-magic and m2crypto to Requires

* Mon Feb 02 2015 Greg Nichols <gnichols@redhat.com>
- correct workflow link to be bugilla for openstack, catalog for other types
- correct workflow link to be bugilla for openstack, catalog for other types
- traceback on container image submission, no key file
- changelog
- change compression detection to use python-magic, rather than the file command

* Fri Jan 30 2015 Greg Nichols <gnichols@redhat.com>
- fix traceback on first interactive run of a new results document
- change container image compression from bzip2 to gzip
- change container image compression from bzip2 to gzip

* Thu Jan 29 2015 Greg Nichols <gnichols@redhat.com>
- add compression of container images
- fix file handling of image keys

* Wed Jan 28 2015 Greg Nichols <gnichols@redhat.com>
- fix typo
- disable all but openstack certs

* Tue Jan 27 2015 Greg Nichols <gnichols@redhat.com>
- fix typo
- change attachment size limit to 128MB
- add calls to encrypt container images and manage random keys
- File encryption utility wrapper

* Tue Jan 20 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- fix logic allowing 7.1 hosts on 7.0-min certs
- disable cert types other than hardware and openstack

* Mon Jan 19 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- fix interactive test status reporting on certification page
- start listner last, after a sec

* Fri Jan 16 2015 Greg Nichols <gnichols@redhat.com>
- add promptFile for file uploading

* Thu Jan 15 2015 Greg Nichols <gnichols@redhat.com>
- fix schema validation errors\n https://trello.com/c/Y9iUtQwO

* Tue Jan 13 2015 Greg Nichols <gnichols@redhat.com>
- remove debug output
- Several UI improvements involving host status and relevant commands.
- changelog
- remove extrainious output statement

* Fri Jan 09 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1179181 - New openstack certification asks to add hosts 2 times instead of 1
- changelog
- 1179305 - CWE API change needed for Vendor, Make, and Model

* Thu Jan 08 2015 Greg Nichols <gnichols@redhat.com>
- disable cloud certs
- changelog
- 1179305 - CWE API change needed for Vendor, Make, and Model

* Wed Jan 07 2015 Greg Nichols <gnichols@redhat.com>
- 1179363 - self.statusMessage does not output provided input message to the rhcert web UI

* Tue Jan 06 2015 Greg Nichols <gnichols@redhat.com>
- 1179305 - CWE API change needed for Vendor, Make, and Model

* Mon Jan 05 2015 Greg Nichols <gnichols@redhat.com>
- fix typo
- remove post script that opens 80 and 8009 in firewall

* Mon Dec 22 2014 Greg Nichols <gnichols@redhat.com>
- add openstack certification type
- changelog
- change listener to bind to current host name/ip
- set huge_tree=True when parsing XML to allow 24MB+ attachments

* Thu Dec 18 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback on listener daemon start
- add /etc/init.d/rhcert-backend to %files
- remove call to continue
- changelog
- Add continuation support for tests needing to reboot the system (https://trello.com/c/dg0xUQM9)
- https://trello.com/c/ijC1U52N

* Tue Dec 09 2014 Greg Nichols <gnichols@redhat.com>
- changelog
- Add support for /store URLS

* Wed Nov 26 2014 Guangze Bai <gbai@redhat.com>
- 1161648 - Put mandatory post tests at last

* Tue Nov 25 2014 Greg Nichols <gnichols@redhat.com>
- fix manual addition of tests
- 1164857 - hwcert-client confused by RHELSA contents in /etc/redhat-release

* Mon Nov 24 2014 Greg Nichols <gnichols@redhat.com>
- add requires for firewalld in %post

* Fri Nov 21 2014 Greg Nichols <gnichols@redhat.com>
- add RHEL 7.1
- open port 80 in firewall for RHEL7
- remove requires systemd for post in RHEL6
- remove requires systemd for post in RHEL6
- %post scriptlet errors: selinux and firewall

* Thu Nov 20 2014 Greg Nichols <gnichols@redhat.com>
- fix schema parsing errors, validation against current rhcert-generated results.xml

* Wed Nov 19 2014 Greg Nichols <gnichols@redhat.com>
- Scratch Certifications: ui hiding of id slot, tracking certification documents as scratch, removing link to Go To Workflow"."
- Version to 1.0, changelog
- remove hard-coded mimetypes, use mimetpyes module and attachment document attributes

* Wed Nov 19 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#lCQGfo3Z: Adding the mimetype and encoding of attachments into results.xml

* Tue Nov 18 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#KYcrrmLH: Adding the MD5sum of attachments into results.xml

* Mon Nov 17 2014 Greg Nichols <gnichols@redhat.com>
- draft schema

* Wed Nov 05 2014 Greg Nichols <gnichols@redhat.com>
- name change for hardware test suite

* Mon Nov 03 2014 Greg Nichols <gnichols@redhat.com>
- call CWE to get Vendor/Make/Product when existing certification is added

* Wed Oct 29 2014 Greg Nichols <gnichols@redhat.com>
- improve container image pair layout on certification page

* Wed Oct 22 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#0WJe9U5n: Passing fromlist=[] to __import__, to preserve global variables for individual tests.

* Fri Oct 17 2014 Greg Nichols <gnichols@redhat.com>
- move container image pair description, add defaulting, stub-in CWE xmlrpc call to get vendor, product
- interaction improvements on certification page

* Thu Oct 16 2014 Greg Nichols <gnichols@redhat.com>
- add stop/restart capability on hosts and interactive pages

* Wed Oct 15 2014 Greg Nichols <gnichols@redhat.com>
- revised certification page layout, added new and close operations

* Fri Oct 10 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback
- reset action selectors on back/cancel

* Thu Oct 09 2014 Greg Nichols <gnichols@redhat.com>
- implement results action selectors on certification pages
- change host status to use ajax/javascript polling

* Wed Oct 08 2014 Greg Nichols <gnichols@redhat.com>
- fix comment
- change package name to redhat-certification, merge in -server subpackage

* Tue Oct 07 2014 Greg Nichols <gnichols@redhat.com>
- fix bug where results aren't saved to the certification
- clean up certification UI

* Thu Oct 02 2014 Greg Nichols <gnichols@redhat.com>
- Minor UI edits on certification page for containers: https://trello.com/c/iteEktAp/46-minor-ui-edits

* Wed Oct 01 2014 Greg Nichols <gnichols@redhat.com>
- error checking for adding image pairs, deletion

* Tue Sep 30 2014 Greg Nichols <gnichols@redhat.com>
- container cert: add image info to image lists, provide time submitted

* Thu Sep 25 2014 Greg Nichols <gnichols@redhat.com>
- 1146461 - rhcert-client 0.3: rhcert-backend server start doesn't start NFS for kdump\n\n remove quotes around subcommand

* Wed Sep 24 2014 Greg Nichols <gnichols@redhat.com>
- 1146099 - rhcert-client 0.3: traceback on rhcert-backend register

* Tue Sep 23 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback on attempts to submit container images

* Mon Sep 22 2014 Greg Nichols <gnichols@redhat.com>
- add certificationIndex.xml to %files
- add vendor/product and image descriptions
- move cert types to separate xml file:\n /usr/lib/<python>/site-packages/rhcert/info/certificationIndex.xml
- rhcert store changed to organize results files by cert type/id

* Thu Sep 18 2014 Greg Nichols <gnichols@redhat.com>
- Add status feedback on testing progress for both interactive and non-interactive testing

* Wed Sep 17 2014 Greg Nichols <gnichols@redhat.com>
- fix deletion of empty results, add certification page refresh for non-container certs

* Tue Sep 16 2014 Greg Nichols <gnichols@redhat.com>
- fix bug preventing saving of results files, and clean-up of empty ones
- fix dropbox download url
- fix initial testing flow - show test plan, then clean it up later
- fix container upload missing or corrupted files trello OKdgVQIz

* Mon Sep 15 2014 Greg Nichols <gnichols@redhat.com>
- fix bugs in initial test run
- test host selection UI improvements
- Add collection of vendor, make, and model to the Add Certification" dialog for hardware certifications."
- implement delete for test results

* Wed Sep 10 2014 Greg Nichols <gnichols@redhat.com>
- Support multi-line prompts/message in listener/interactive Tasks

* Tue Sep 09 2014 Greg Nichols <gnichols@redhat.com>
- Change to docker image upload catalog XMLRPC call

* Mon Sep 08 2014 Greg Nichols <gnichols@redhat.com>
- fix interactive web UI

* Fri Sep 05 2014 Greg Nichols <gnichols@redhat.com>
- fix web prompting bugs, add selections, interactive demo
- interactive tests - initial implementation complete

* Thu Sep 04 2014 Greg Nichols <gnichols@redhat.com>
- interactive tests part2: bug fixes for calling interactive tests, displaying system status
- interactive test support (partial)

* Wed Sep 03 2014 Greg Nichols <gnichols@redhat.com>
- fix container image upload

* Tue Sep 02 2014 Greg Nichols <gnichols@redhat.com>
- fix expression typo
- fix duplicate registration of test classes

* Fri Aug 29 2014 Greg Nichols <gnichols@redhat.com>
- Revise test suite planning to eliminate name conflicts

* Mon Aug 25 2014 Luke Brooker <lbrooker@redhat.com>
- update summary results with new template

* Thu Aug 21 2014 Greg Nichols <gnichols@redhat.com>
- add reinitialization of SUT for cert type and/or ID changes

* Wed Aug 20 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback for Add Host via cert ID
- add certification type information to the Tests page

* Tue Aug 19 2014 Greg Nichols <gnichols@redhat.com>
- improve certification presentation, and test run flow
- improve listener feedback from test runs

* Mon Aug 18 2014 Greg Nichols <gnichols@redhat.com>
- change back to using ip address for client of image upload
- remove extra <table> tag
- add submit command for container certs

* Mon Aug 18 2014 Luke Brooker <lbrooker@redhat.com>
- Fix breaking certifications results table
- Add rcue assets and update Makefiles and .conf accordingly
- Add rcue template changes and merge. Still need to add the assets for the templates to work

* Sun Aug 17 2014 Greg Nichols <gnichols@redhat.com>
- add back results.css to install

* Fri Aug 15 2014 Greg Nichols <gnichols@redhat.com>
- fix redirect to visit new cert after add
- selinux setting in %post to allow httpd to ftp
- fix container save from rhcert-backend
- add error reporting to ftp push

* Thu Aug 14 2014 Greg Nichols <gnichols@redhat.com>
- add submit and save commands to backend for container files
- container image upload
- add ftp dropbox url/host

* Wed Aug 13 2014 Greg Nichols <gnichols@redhat.com>
- add redirects to smooth adding certs and running tests
- container certification image submission

* Tue Aug 12 2014 Greg Nichols <gnichols@redhat.com>
- move store filesystem code to its own class
- docker AKA container cert image upload
- fix firewall conditional

* Mon Aug 11 2014 Greg Nichols <gnichols@redhat.com>
- fix incomplete settings for continue runs
- restrict firewall config to RHEL7

* Thu Aug 07 2014 Greg Nichols <gnichols@redhat.com>
- add %post to open 8009 in firewall
- server selinux and port settings
- Add version-release info to page footers
- fix foreground mode to run other process correctly

* Wed Aug 06 2014 Greg Nichols <gnichols@redhat.com>
- Fix garbled task output, remove redundant code for writing to it.
- Change listener and daemon foreground mode to run other process in background.

* Tue Aug 05 2014 Greg Nichols <gnichols@redhat.com>
- Server-driven SUT registration

* Thu Jul 31 2014 Greg Nichols <gnichols@redhat.com>
- Add test run request feedback and host status.
- add RHEL 6.6

* Thu Jul 31 2014 Shreyank Gupta <sgupta@redhat.com>
- Adds RawIOBase capabilities to Log object. sys.stdout retains io attributes.

* Wed Jul 30 2014 Greg Nichols <gnichols@redhat.com>
- Fix initial testing flow to install the test suite packages required by the test plan

* Mon Jul 28 2014 Greg Nichols <gnichols@redhat.com>
- fix respin numbering to be rhel-major-version-specific

* Fri Jul 11 2014 Greg Nichols <gnichols@redhat.com>
- fix clean to observer --mode auto
- Fix sorting and display of tests by path

* Thu Jul 10 2014 Greg Nichols <gnichols@redhat.com>
- fix /etc/rhcert.xml defaults to get correct python version site-packages path
- have listener use hostname from socket

* Wed Jul 09 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm build re: web store
- New prototype UI to create certifications. Add prototype interface for creating new (or existing) certifications on the server, and choosing hosts to begin testing.

* Wed Jul 02 2014 Greg Nichols <gnichols@redhat.com>
- Fix build for RHEL6 build portability for python versions in spec file and Makefile conditional code for systemctl vs. server to start httpd fixed bug with initialization of process ID tracking files

* Tue Jul 01 2014 Greg Nichols <gnichols@redhat.com>
- Initial implementation of listener client service and server/web-driven testing.

* Fri Jun 27 2014 Greg Nichols <gnichols@redhat.com>
- remove unncecessary requires from spec
- extend attr setting on web directory

* Thu Jun 26 2014 Greg Nichols <gnichols@redhat.com>
- only install Makefile and .c in test directory
- set output file in test parameters before run
- change test return value to True/False

* Wed Jun 25 2014 Greg Nichols <gnichols@redhat.com>
- fix build
- fix build
- fix build
- fix build
- fix build
- fix selinux
- fix selinux
- fix network test

* Mon Jun 23 2014 Greg Nichols <gnichols@redhat.com>
- set selinux for server files
- fix packaging
- fix packaging
- move installation of libs to python2.7/site-packages
- move installation of libs to python2.7/site-packages
- move installation of libs to python2.7/site-packages

* Fri Jun 20 2014 Greg Nichols <gnichols@redhat.com>
- add layout and headers
- add headers, cert ID output
- fix NewRun header for multiple runs
- improve layout, add file sizes
- fix PASS/FAIL links for device tests
- fix Download link and allow direct results serving via /rhcert-results/... urls
- add more to demo tests

* Thu Jun 19 2014 Greg Nichols <gnichols@redhat.com>
- fix mimetypes for xml
- remove device logging
- added simple demo suite
- fix page title and link for logo
- change save page to return text when saving files, rather than html
- set server version to 0.1
- allow response to be written to a buffer
- set hostname to socket.gethostname
- fix test parameter copying during test planning
- add indications of interactive and mandatory tests in new run column of summary sheet
- implement server status response

* Wed Jun 18 2014 Greg Nichols <gnichols@redhat.com>
- remove aliases for compatability with pre-1.7.0.1 hwcert-server
- initial run-from-server code

* Mon Jun 16 2014 Greg Nichols <gnichols@redhat.com>
- change run to runCommand

* Fri Jun 13 2014 Greg Nichols <gnichols@redhat.com>
- move to hwcert suite
- sort certifications by product-release
- delete temporart doc when registering

* Thu Jun 12 2014 Greg Nichols <gnichols@redhat.com>
- fix build script
- port of cgi to wsgi

* Fri Jun 06 2014 Greg Nichols <gnichols@redhat.com>
- added submit function to server, also added XSLT-based filtering for faster results loading

* Tue Jun 03 2014 Greg Nichols <gnichols@redhat.com>
- fix build script
- add build scripting
- replace iwconfig with iw
- move kernelInfo to hwcert-suite

* Mon Jun 02 2014 Greg Nichols <gnichols@redhat.com>
- Add xsl to server files

* Fri May 30 2014 Greg Nichols <gnichols@redhat.com>
- fix planner to use suite directory
- exclude tools dir from sources
- add requires mod_wsgi
- remove requires for rhcert-client-info

* Thu May 29 2014 Greg Nichols <gnichols@redhat.com>
- set to version 0.1
- add register command, fix file saving, add xslt render

* Wed May 28 2014 Greg Nichols <gnichols@redhat.com>
- move server to wsgi

* Fri May 23 2014 Greg Nichols <gnichols@redhat.com>
- rename server->listener and web->server

* Thu May 22 2014 Greg Nichols <gnichols@redhat.com>
- initial work to replace daemon and named pipes with XMLRPC listener.py

* Mon May 19 2014 Greg Nichols <gnichols@redhat.com>
- remove debug prints

* Fri May 16 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm building

